Unlinks a custom field from a workflow.

POSThttps://api.awork.com/api/v1/workflows/{workflowId}/unlinkcustomfielddefinition
POST https://api.awork.com/api/v1/workflows/{workflowId}/unlinkcustomfielddefinition

Unlinks a custom field from a workflow. The custom field is no longer linked to the workflow.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

workflowIdstringRequired
format: uuid

Request body Required

application/json

customFieldDefinitionIdstringRequired
format: uuid

The id of the custom field definition.

unlinkCustomFieldFromLinkedProjectsbooleanOptional

Gets or sets a value indicating whether the custom field should also be unlinked from workflow-linked projects, including deleting task custom field values.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation